Stipple pattern looks like uninitialized memory

Bug #1247785 reported by Jal Frezie on 2013-11-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

If you draw a stippled object on a TclTk canvas with negative coordinates, and scroll to display it, the appearance of the stipple is not that of the specified bitmap but looks like uninitialized data. See attached code and screenshot. The actual pattern is different each time. The same code on the same machine will produce the correct display if the window is on a different Xorg server.

Code:
#!/usr/bin/wish

pack [canvas .c -scrollregion {-1000 -1000 0 0} -bg beige]
.c create rect -900 -900 -600 -700 -fill blue -stipple gray25
.c xview moveto 0.05
.c yview moveto 0.05

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: xorg 1:7.7+1ubuntu6
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Mon Nov 4 10:27:47 2013
DistUpgraded: 2013-10-09 14:22:45,855 DEBUG entry '# deb http://linux.dropbox.com/ubuntu precise main # disabled on upgrade to saucy' was disabled (unknown mirror)
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.141+bdcom, 3.11.0-12-generic, x86_64: installedError! Could not locate dkms.conf file.
 File: does not exist.
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Apple Inc. Device [106b:00a1]
   Subsystem: Apple Inc. Device [106b:00a1]
MachineType: Apple Inc. MacBook3,1
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic root=UUID=85b6c679-2c54-433b-a4f9-b4240cb791bf ro splash quiet vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to saucy on 2013-10-09 (25 days ago)
dmi.bios.date: 03/05/08
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MB31.88Z.008E.B02.0803051832
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Mac-F22788C8
dmi.board.vendor: Apple Inc.
dmi.board.version: PVT
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 2
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22788C8
dmi.modalias: dmi:bvnAppleInc.:bvrMB31.88Z.008E.B02.0803051832:bd03/05/08:svnAppleInc.:pnMacBook3,1:pvr1.0:rvnAppleInc.:rnMac-F22788C8:rvrPVT:cvnAppleInc.:ct2:cvrMac-F22788C8:
dmi.product.name: MacBook3,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sat Nov 2 10:31:55 2013
xserver.configfile: default
xserver.errors:
 evdev: HID 05ac:1000: Unable to open evdev device "/dev/input/event14".
 PreInit returned 2 for "HID 05ac:1000"
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 40027
 vendor APP
xserver.version: 2:1.14.3-3ubuntu2

Jal Frezie (jasper-simulistics) wrote :
Chris Wilson (ickle) wrote :

commit 82b646a42f5a6271c8518ad454f1603714276caf
Author: Chris Wilson <email address hidden>
Date: Mon Nov 4 11:48:04 2013 +0000

    sna: Only use the simple stipple upload path if wholly contained

    If the stipple box is outside of the stipple pixmap, we need to
    carefully upload the stipple using the modulus operation.

    Buzilla: https://bugs.launchpad.net/bugs/1247785
    Signed-off-by: Chris Wilson <email address hidden>

Changed in xorg (Ubuntu):
status: New → Fix Released
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Chris Wilson (ickle) wrote :

Bleh, Fix Committed, not released.

Timo Aaltonen (tjaalton) on 2013-11-06
Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.907-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.907-0ubuntu1) trusty; urgency=low

  [ Timo Aaltonen ]
  * Merge from unreleased debian git. (LP: #1247785) (LP: #1231207)
  * Drop sna-sanitize-output-crtc.diff, upstream.
 -- Maarten Lankhorst <email address hidden> Mon, 06 Jan 2014 14:48:05 +0100

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.